package com.develop.food.base.utils

class Oneshot {
    private var invoke = false

    // not support multi thread
    fun invokeOnce(): Boolean {
        if (invoke) {
            return false
        }
        invoke = true
        return true
    }
}